#!/usr/bin/env python
import trio
import tractor
from piker.brokers.deribit.api import (
    maybe_open_oi_feed,
)


async def max_pain_daemon(
) -> None:
    def check_if_complete(
        oi: dict[str, dict[str, Decimal | None]],
    
        ) -> bool:
            for strike in oi:
                if (
                    oi[strike]['C'] == None 
                    or
                    oi[strike]['P'] == None
                ):
                    return False
    
            return True



async def main():

    async with tractor.open_nursery() as n:
        
        p: tractor.Portal = await n.start_actor(
            'max_pain_daemon',
            enable_modules=[__name__],
            infect_asyncio=True,
        )
        await p.run(max_pain_daemon)

if __name__ == '__main__':
    trio.run(main)
